/**
 *
 *     This file is part of the Squashtest platform.
 *     Copyright (C) 2017 Henix, henix.fr
 *
 *     See the NOTICE file distributed with this work for additional
 *     information regarding copyright ownership.
 *
 *     This is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Lesser General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     this software is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU Lesser General Public License for more details.
 *
 *     You should have received a copy of the GNU Lesser General Public License
 *     along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
:root {
    --squash-title-color: #173664;
    --squash-hover-background-color: rgb(227 227 227 / 50%);
}
body {
    display: none;
}

body.toc2 {
    padding-left: 25em;
}

#toc.toc2 {
    width: 24em;
}

#toc a:focus {
    text-decoration: none;
}

#toc li:not(.selected) .collapsable:hover {
    background-color: var(--squash-hover-background-color);
}

#toc li:not(.selected) .collapsable > a:hover {
    color: var(--squash-title-color);
}

#toc .sectlevel2 li:hover:not(.selectedChild) {
    background-color: var(--squash-hover-background-color);
}

#toc .sectlevel2 li:hover:not(.selectedChild) > a {
    color: var(--squash-title-color);
}

#toc .sectlevel2 {
    margin-top: 3px;
}

.selected {
    font-weight: bold;
}

.selected li {
    font-weight: normal;
}

.selected .selectedChild {
    background-color: rgb(190 224 247 / 50%);
    font-weight: bold;
    border-right: 3px solid var(--squash-title-color);
}

.sectlevel2 img {
    width: 40px;
}

.collapsable {
    display: flex;
}


.selected .collapsable {
    background: var(--squash-title-color);
    padding-bottom: 4px;
    padding-top: 2px;
}

.selected .collapsable img {
    filter: brightness(0) invert(1);
}

.selected .collapsable a {
    color: white;
}

#toc li {
    padding: 2px 0 3px 10px;
    margin-left: -10px;
    margin-top: 0;
}

.noChildChapter {
    padding-left: 5px;
}

#toctitle {
    color: var(--squash-title-color);
    font-weight: bold;
}

h1, #content h2 a, #content h3 a, #content h4 a, #content h5 a {
    color: var(--squash-title-color);
    font-weight: bold;
}

#content .title {
    color: var(--squash-title-color);
}
